/*******************************************************************************
 Author : Gowrishankar (gowrishankar.ashok@analog.com)
          India Applications Support Team

 Date : July 2014

 File name : ADuCM360Driver.h

 Description :

 Hardware plateform : ADuCM360 	
********************************************************************************/

#ifndef ADUCM360_DRIVER_H
#define ADUCM360_DRIVER_H

#define Send     0x00
#define Receive  0x01



//---------------------------------------
//      AD5693R pins configuration
//---------------------------------------
#define PIN_HIGH	0x1
#define PIN_LOW	 0x0

#define AD5693R_LDAC 0x14  //P1.4
#define AD5693R_RESET 0x15 //P1.5


//-------------------------------------------------------
//				EXTERNAL FUNCTION DECLARATIONS
//-------------------------------------------------------
void ADuCM360Initialise(void);
void Delay(unsigned long int DelayTime);
void ADuCM360GpioOutput(unsigned char  GpioNo, unsigned char OutputValue);
char ADuCM360GpioInput(unsigned char  GpioNo);
void I2cFunction(unsigned OutputBuff[],unsigned int InputBuff[], unsigned int NoOfBytes, unsigned char Mode, unsigned char address);



//-------------------------------------------------------
//				INTERNAL FUNCTION DECLARATIONS
//-------------------------------------------------------
void UARTINIT (void);



#endif






