/********************************************************************************
 Author : china customer centor (china.support@analog.com)
					China Applications Support Team 

 Date :   July 2014

 File name : ADuCM360Driver.c

 Description : This executable file contains definitions of all the functions defined in the header file ADuCM360Driver.h

 Hardware plateform : ADuCM360 	+ AD5693R
********************************************************************************/
#include "ADuCM360.h"
#include "ADuCM360Driver.h"

#include <stdio.h>
#include <string.h>

#include "AD5693R.h"
#include "spilib.h"
#include "ClkLib.h"
#include "DioLib.h"
#include "WdtLib.h"
#include "I2cLib.h"
#include "UrtLib.h"




int main()
{
	int step=0x0000;

	ADuCM360Initialise();  // Initialise the Controller (ADuCM360)
	while(1)
	{
		for (step=0x0000;step<0xFFFF;step=step+0x1000)     //Sample test program to output a triangular wave on DAC channels
		{
		WriteData(REG_WRITE_UPDATE_DAC,step,0x98);
		Delay(100);
		} 
	}
}
